<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mbigint_i_bigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_f_s.html">&lt;&lt; mbigint_f_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_i_mbigint.html">mbigint_i_mbigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a> &gt; mbigint_i_bigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mbigint_i_bigint</h1>
    <p class="refpurpose">overloading compatibility for insertion operator () with bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">M :</span>
            <dd><p class="para">mbigint</p></dd></dt>
        <dt><span class="term">i,j :</span>
            <dd><p class="para">integers</p></dd></dt>
        <dt><span class="term">x :</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">insert element x in the i-th line j-th column of bigint matrix M. you can use  vector notations for indexes as  M(a:b,c) M(a,b:c), M(a:b,c:d), M(a,:) M(:,b) M([...]) ....</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilaboperator">^</span><span class="scilabnumber">57</span><span class="scilaboperator">-</span><span class="scilabnumber">1</span>
<span class="scilabid">x</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabspecial">:</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabnumber">4</span><span class="scilabspecial">:</span><span class="scilabnumber">6</span><span class="scilabopenclose">)</span><span class="scilaboperator">=</span><span class="scilabid">mbigint</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://ones">ones</a><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://matrix_bigint" class="link">matrix_bigint</a></li>
   <li class="member"><a href="mbigint.html" class="link">mbigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percentmbigint_f_s.html">&lt;&lt; mbigint_f_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b2f5081568f952fff79c00589fce90e6.html">matrix_of_bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentmbigint_i_mbigint.html">mbigint_i_mbigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
